From 2df375683e44dcd875fc8c8a99fde0e41ef9df96 Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Thu, 24 Jan 2013 22:20:37 +0100
Subject: inheritable_attributes are now class_attributes

--HG--
extra : source : 77ec50778fb4cdbd412c877507433e0a0573daa0
---
 app/controllers/application_controller.rb |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/app/controllers/application_controller.rb b/app/controllers/application_controller.rb
index c7c0f4e..b56e971 100644
--- a/app/controllers/application_controller.rb
+++ b/app/controllers/application_controller.rb
@@ -224,7 +224,7 @@ class ApplicationController < ActionController::Base
   end
 
   def find_model_object
-    model = self.class.read_inheritable_attribute('model_object')
+    model = self._model_object
     if model
       @object = model.find(params[:id])
       self.instance_variable_set('@' + controller_name.singularize, @object) if @object
@@ -233,8 +233,9 @@ class ApplicationController < ActionController::Base
     render_404
   end
 
+  class_attribute :_model_object
   def self.model_object(model)
-    write_inheritable_attribute('model_object', model)
+    self._model_object = model
   end
 
   # Filter for bulk issue operations
-- 
1.7.1


